{% extends "base.html" %}
{% block content %}
<!--Input-Field Row-->
<div class="container mx-6 mt-2">
  <form class="flex flex-col" method="GET" action="/">
    <div class="relative flex w-full flex-wrap items-stretch mb-3">
      <div class="flex">
        <a href="/json?ip={{ address }}" class="ml-2 main-input-field-addon h-full w-full" title="JS:ON">
          <span class="icon-only-button-label sr-only">as JSON</span>
          <i class="far fa-file-code"></i>
        </a>
        <a href="/text?ip={{ address }}" class="ml-8 main-input-field-addon h-full w-full" title="Te:xt">
          <span class="icon-only-button-label sr-only">as Text</span>
          <i class="far fa-file-alt"></i>
        </a>
      </div>
      <label for="ip" class="sr-only">IP</label>
      <input class="main-input-field right-0"
             value="{{ address }}"
             id="ip"
             name="ip"
             type="text"
             onclick="this.select();"
             placeholder="133.71.33.7"/>
      <button type="submit" title="lookup" class="main-input-field-addon right-0 mr-4">
        <i class="fas fa-search"></i>
      </button>
    </div>
  </form>
</div>

<!-- Information -->
<div id="informationContainer" class="container mx-6 mt-2 bg-white shadow overflow-hidden">
  <div class="m-1">
    <dl>
      <!-- IP Address -->
      <div class="bg-gray-50 px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          IP Address
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ address }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ address }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>

      <!-- Country -->
      {% if country.is_some() -%}
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Country
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          <span class="fp {{  country.unwrap().code|lower }}"></span>
          {{ country.unwrap().name }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ country.unwrap().name }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

      <!-- City -->
      {% if city.is_some() -%}
      <div class="bg-gray-50 px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          City
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ city.unwrap().name }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ city.unwrap().name }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {% if postal.is_some() -%}
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          ZIP
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ postal.unwrap().code }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ postal.unwrap().code }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}
      {%- endif %}

      <!-- Coordinates -->
      {% if coordinates.is_some() -%}
      <div class="bg-gray-50 px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Longitude
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ coordinates.unwrap().longitude }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ coordinates.unwrap().longitude }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Latitude
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ coordinates.unwrap().latitude }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ coordinates.unwrap().latitude }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

      <!-- Connection -->
      {% if connection.is_some() -%}
      <div class="bg-gray-50 px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Connection
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ connection.unwrap().isp }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ connection.unwrap().isp }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

    </dl>
  </div>
</div>
{% endblock %}
